Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 81002

Summary: XMMS zz_mp3 minor fixup
Product: [Retired] Red Hat Public Beta Reporter: Warren Togami <wtogami>
Component: xmmsAssignee: Bill Nottingham <notting>
Status: CLOSED RAWHIDE QA Contact:
Severity: low Docs Contact:
Priority: medium    
Version: phoebeCC: mitr, p.van.egdom, rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-02-06 00:57:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 79579    
Attachments:
Description Flags
xmms-1.2.7-realmp3.patch none

Description Warren Togami 2003-01-03 09:47:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:
XMMS currently has the zz_mp3 placeholder plugin that displays the patent error
message when people try to play MP3's.

Bug
===
When users install 3rd party MP3 plugins, this pop-up window continues to occur
while they successfully play MP3's.

Fix
===
These patches do the following:
* If one or more of the MP3 Input plugins are installed and enabled, zz_mp3 will
not pop up the warning window.
* It recognizes the difference between an enabled and disabled plugin and acts
accordingly.
* It recognizes libmpg123.so and libxmmsmad.so. If you are aware of other
possible MP3 input plugins for XMMS please e-mail me.

Version-Release number of selected component (if applicable):
Phoebe xmms-1.2.7-16.p

Comment 1 Warren Togami 2003-01-03 09:50:07 UTC
Created attachment 89084 [details]
xmms-1.2.7-realmp3.patch

Patch against xmms/pluginenum.c.

Comment 2 Warren Togami 2003-01-03 09:52:00 UTC
--- zz_mp3.c.orig       2002-12-31 02:50:10.000000000 -1000
+++ zz_mp3.c    2003-01-02 20:20:12.000000000 -1000
@@ -101,6 +101,7 @@
        guint16 wavid;
  
        if (!enabled) return FALSE;
+       if(real_mp3_plugin()) return FALSE;
  
        if (!strncasecmp(filename, "http://", 7))
        {                       /* We assume all http:// (except those ending in
.ogg) are mpeg -- why do we do that? */

Comment 3 Bill Nottingham 2003-01-03 17:36:32 UTC
This shouldn't be needed; accroding to the xmms people, it should take the first
plugin alphabetically that accepts the current file type.

Comment 4 Warren Togami 2003-01-03 21:49:37 UTC
According to my testing this isn't the case.  Quite often BOTH plugins would
"play" at the same time, playing the MP3 and popping up the Red Hat zz_mp3
window a the same time.  I added some printf()'s to see the order, and zz_mp3
was engaging before libmpg123.so in every case.

Comment 5 Warren Togami 2003-01-31 08:59:24 UTC
Strange, in Phoebe2 only zz_mp3 would "play" while the installed MP3 plugin
doesn't.  Only when you disable zz_mp3 the installed MP3 plugin plays successfully.



Comment 6 Bill Nottingham 2003-02-06 00:57:20 UTC
Fixed differently in 1.2.7-19.p. 

Comment 7 Warren Togami 2003-02-10 10:59:34 UTC
Confirmed, your fix seems to work perfectly.